%define anolis_release 2

%global srcname async_generator
%global pkgname async-generator

%global _description %{expand:
This library generally tries hard to match the semantics of Python 3.6's native
async generators in every detail (PEP 525), with additional support for yield
from and for returning non-None values from an async generator (under the
theory that these may well be added to native async generators one day).}


Name:           python-%{pkgname}
Version:        1.10
Release:        %{anolis_release}%{?dist}
Summary:        Async generators and context managers
License:        MIT or ASL 2.0
URL:            https://github.com/python-trio/async_generator
Source0:        %pypi_source
BuildArch:      noarch


%description %{_description}


%package -n python3-%{pkgname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pytest}


%description -n python3-%{pkgname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pytest


%files -n python3-%{pkgname} -f %{pyproject_files}


%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.10-2
- Rebuild with python3.11

* Thu Apr 27 2023 Funda Wang <fundawang@yeah.net> - 1.10-1
- Import package for anolis 23
